com.fasterxml.jackson.databind.deser.std

## Class NumberDeserializers.DoubleDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<T>
    - - com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<T>
      - - com.fasterxml.jackson.databind.deser.std.NumberDeserializers.PrimitiveOrWrapperDeserializer<Double>
        - - com.fasterxml.jackson.databind.deser.std.NumberDeserializers.DoubleDeserializer

All Implemented Interfaces:
  Serializable

Enclosing class:
  NumberDeserializers

    public static final class NumberDeserializers.DoubleDeserializer
    extends NumberDeserializers.PrimitiveOrWrapperDeserializer<Double>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`JsonDeserializer.None`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.deser.std.NumberDeserializers.PrimitiveOrWrapperDeserializer

`_nullValue`

### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_valueClass`

### Constructor Summary

Constructors
Constructor and Description
`NumberDeserializers.DoubleDeserializer(Class<Double> cls, Double nvl)`

### Method Summary

Methods
`Double` `deserialize(com.fasterxml.jackson.core.JsonParser jp, DeserializationContext ctxt)` Method that can be called to ask implementation to deserialize JSON content into the value type this serializer handles.
`Double` `deserializeWithType(com.fasterxml.jackson.core.JsonParser jp, DeserializationContext ctxt, TypeDeserializer typeDeserializer)` Base implementation that does not assume specific type inclusion mechanism.

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.NumberDeserializers.PrimitiveOrWrapperDeserializer

`getNullValue`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_hasTextualNull, _parseBoolean, _parseBooleanFromNumber, _parseBooleanPrimitive, _parseByte, _parseDate, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, _parseString, findConvertingContentDeserializer, findDeserializer, getValueClass, getValueType, handledType, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`deserialize, findBackReference, getDelegatee, getEmptyValue, getKnownPropertyNames, getObjectIdReader, isCachable, replaceDelegatee, unwrappingDeserializer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NumberDeserializers.DoubleDeserializer

    public NumberDeserializers.DoubleDeserializer(Class<Double> cls,
                                          Double nvl)

### Method Detail

#### deserialize

    public Double deserialize(com.fasterxml.jackson.core.JsonParser jp,
                     DeserializationContext ctxt)
                       throws IOException,
                              com.fasterxml.jackson.core.JsonProcessingException

Description copied from class: `JsonDeserializer`
Method that can be called to ask implementation to deserialize JSON content into the value type this serializer handles. Returned instance is to be constructed by method itself.

Pre-condition for this method is that the parser points to the first event that is part of value to deserializer (and which is never JSON 'null' literal, more on this below): for simple types it may be the only value; and for structured types the Object start marker. Post-condition is that the parser will point to the last event that is part of deserialized value (or in case deserialization fails, event that was not recognized or usable, which may be the same event as the one it pointed to upon call).

Note that this method is never called for JSON null literal, and thus deserializers need (and should) not check for it.

Specified by:
  `deserialize` in class `JsonDeserializer<Double>`
Parameters:
  `jp` - Parsed used for reading JSON content
  `ctxt` - Context that can be used to access information about this deserialization activity.
Returns:
  Deserialized value
Throws:
  `IOException`
  `com.fasterxml.jackson.core.JsonProcessingException`

#### deserializeWithType

    public Double deserializeWithType(com.fasterxml.jackson.core.JsonParser jp,
                             DeserializationContext ctxt,
                             TypeDeserializer typeDeserializer)
                               throws IOException,
                                      com.fasterxml.jackson.core.JsonProcessingException

Description copied from class: `StdDeserializer`
Base implementation that does not assume specific type inclusion mechanism. Sub-classes are expected to override this method if they are to handle type information.

Overrides:
  `deserializeWithType` in class `StdScalarDeserializer<Double>`
  `typeDeserializer` - Deserializer to use for handling type information
Throws:
  `IOException`
  `com.fasterxml.jackson.core.JsonProcessingException`